/* File: stringp.c (Zeiger-Variante) -- zu Kap. 2.3.3. Zeiger/Felder
   Fkt.: Vergleich zweier eingegebener Zeichenketten */
main() /* Arbeit mit Zeichenfeldern (Pointer) */
#define N 80
{ 	char a[N],b[N];
	printf("Eingabe Zeichenkette1:");
	scanf("%s", a);
	while(getchar()!='\n');
	printf("Eingabe Zeichenkette2:");
	scanf("%s", b);
	while(getchar()!='\n');
	if(strcmp(a,b) == 0)
		printf("die Zeichenketten sind gleich\n");
	else
		printf("die Zeichenketten sind nicht gleich\n");
}
strcmp(s1, s2) /* Vergleich zweier Strings bis '\0' */
char *s1, *s2;
{
	while (*s1 == *s2++)
		if (*s1++ == 0) return(0);
	return(*s1 - *--s2);
}
